Bug 115578 - don't load smartd on SCSI only systems
don't load smartd on SCSI only systems
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: 127865 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-02-13 12:16 EST by Joerg Skottke
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-16 06:40:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joerg Skottke 2004-02-13 12:16:55 EST
Description of problem:
Smartd is loaded but fails on SCSI only systems

Version-Release number of selected component (if applicable):

How reproducible:
Boot on scsi only system

Steps to Reproduce:
1. -
Actual results:
smartd fails to load / graphical display switches to verbose mode

Expected results:
don't load smartd if no smart capable devices exist.

Additional info:
Comment 1 Bruce Allen 2004-02-13 15:07:29 EST

This is because Fedora core is distributed with a configuration file
/etc/smartd.conf which just lists a single device to monitor: /dev/hda.
Modify this to be /dev/sda (or the correct path to your SCSI device)
and have a look at the smartd and smartd.conf man pages:
man smartd
man smartd.conf
Comment 2 Joerg Skottke 2004-02-13 16:48:17 EST
I am aware of that - at least partly ;)

However it was just my daddy who asked me if he had to replace his
computer because of something failing during statup. 
IMHO using SMART is an advanced feature and should be optional, not
the default.
Comment 3 Tomas Mraz 2005-11-16 06:40:15 EST
The most common systems with ATA and SCSI disks should be now supported fine,
because the smartd.conf is now generated by a script which lists hard disks on
the system.
Comment 4 Tomas Mraz 2005-11-16 06:51:29 EST
*** Bug 127865 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.